<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/Symbol.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::Symbol</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class Symbol

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Symbol.hh.html" target="detail">../Synopsis/SymbolLookup/Symbol.hh</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line53" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Symbol-inheritance" src="Symbol-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Symbol-inheritance_map" />
<map name="Symbol-inheritance_map"><area alt="Scopes/Synopsis/SymbolLookup/TypeName.html" href="TypeName.html" shape="rect" coords="5, 81, 240, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" href="FunctionTemplateName.html" shape="rect" coords="264, 81, 571, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/VariableName.html" href="VariableName.html" shape="rect" coords="595, 81, 845, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/NamespaceName.html" href="NamespaceName.html" shape="rect" coords="869, 81, 1141, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" href="ClassTemplateName.html" shape="rect" coords="1165, 81, 1453, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/FunctionName.html" href="FunctionName.html" shape="rect" coords="1477, 81, 1733, 105" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Symbol_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r">Symbol</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp; <span class="variable">t</span>, const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <span class="variable">p</span>, bool <span class="variable">def</span>, <a href="Scope.html" >Scope</a>* <span class="variable">s</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line56" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tSymbol_l_r">~Symbol</a>()  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_m_tSymbol_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line58" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lSymbolVisitor_S_rconst">accept</a>(<a href="SymbolVisitor.html" >SymbolVisitor</a>* <span class="variable">v</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_maccept_lSymbolVisitor_S_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line59" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp; <a class="name" id="type_l_rconst">type</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mtype_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line60" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <a class="name" id="ptree_l_rconst">ptree</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mptree_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line61" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_definition_l_rconst">is_definition</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mis_definition_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line62" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Scope.html" >Scope</a>* <a class="name" id="scope_l_rconst">scope</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mscope_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line63" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="../PTree/Encoding.html" >PTree::Encoding</a> <a class="name" id="my_type">my_type</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mmy_type" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line65" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <a class="name" id="my_ptree">my_ptree</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mmy_ptree" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line66" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">bool <a class="name" id="my_definition">my_definition</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mmy_definition" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line67" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Scope.html" >Scope</a>* <a class="name" id="my_scope">my_scope</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mSymbol_mmy_scope" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line68" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
